# Oh Dear Integration

Integrates your drupal website with the [Oh Dear](https://ohdear.app) monitoring app.

Provides `json/oh-dear-health-check-results` endpoint for oh dear healthchecks.
These are converted sensor results from [Monitoring module](https://drupal.org/project/monitoring).
Endpoint requires configuraton of OhDear Healthcheck Secret that enables
access of OhDear service to the endpoint.

With configuring the Oh dear cron uri, website will start to send data on cron
runs to Oh Dear service. Ping uri is first obtained on OhDear under Scheduled
tasks tab.

## Configuration

### Healthchecks

`/admin/config/system/settings` configure `oh-dear-health-check-secret`
and enable or disable healthcheck plugins. Secret is provided by OhDear service
at `ohdear.app/sites/<site-id>/settings/application-health`.

### Cron

Obtain the ping uri under Scheduled tasks tab on Oh Dear app
(`https://ohdear.app/sites/<site-id>/check/scheduled-tasks`) and set it in
settings form. OhDear integration module will start to notify OhDear service
about cron runs. Currently only default drupal cron is supported.
